org.apache.torque.generator.configuration.source

## Class JdbcMetadataSourceSaxHandlerFactory

- java.lang.Object
- - org.apache.torque.generator.configuration.source.JdbcMetadataSourceSaxHandlerFactory

- All Implemented Interfaces:
    SourceSaxHandlerFactory

      public class JdbcMetadataSourceSaxHandlerFactory
      extends Object
      implements SourceSaxHandlerFactory

  A Factory which creates a SAX handler for sources from JDBC Metadata.
  Version:
    $Id: JdbcMetadataSourceSaxHandlerFactory.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcMetadataSourceSaxHandlerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceSaxHandler` | `getSourceSaxHandler(ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` Returns a JdbcMetadataSourceSaxHandler for reading the configuration of JDBC metadata sources.
    `String` | `getType()` Returns the source type which can be handled by the JdbcMetadataSourceSaxHandler created by this factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcMetadataSourceSaxHandlerFactory

          public JdbcMetadataSourceSaxHandlerFactory()

  - ### Method Detail

    - #### getType

          public String getType()

      Returns the source type which can be handled by the JdbcMetadataSourceSaxHandler created by this factory.
      Specified by:
        `getType` in interface `SourceSaxHandlerFactory`
      Returns:
        "jdbcMetadataSource".

    - #### getSourceSaxHandler

          public final SourceSaxHandler getSourceSaxHandler(ConfigurationProvider configurationProvider,
                                                            UnitDescriptor unitDescriptor,
                                                            ConfigurationHandlers configurationHandlers)

      Returns a JdbcMetadataSourceSaxHandler for reading the configuration of JDBC metadata sources.
      Specified by:
        `getSourceSaxHandler` in interface `SourceSaxHandlerFactory`
      Parameters:
        `configurationProvider` - The access object for the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - All known configuration handlers, not null.
      Returns:
        a new FileSourcesSaxHandlers.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.